Installing AbleCommerce to the .Net 4.0 Framework

Applies to: AbleCommerce 7.0.3 through 7.0.7 (build 14481)

Last Updated: 7/07/11

 

The files necessary for installing to the .NET 4.0 Framework are listed below.  These can be found in your original software download.  They are located in the \Install\Framework\NET40\ folder.

Location of .Net 4.0 Files

 

 

Files specific to .Net 4.0

 

 

Note:  Unless you are upgrading from .Net 2.0, it is not necessary to use the two included DLL files.

 

New Installations

To install AbleCommerce 7.0.7 on the .Net Framework 4.0, you will need to complete the steps below before installing:  

  1. Copy web.config.NET40 to the root folder of the AbleCommerce program.  

  2. Delete the existing web.config file from the root folder.

  3. Rename the file "web.config.NET40" to "web.config"

  4. Return to the Installation Guide, Step 1: Run the web-based installer.

 

Upgrade Instructions

If you are upgrading to AbleCommerce 7.0.7 and want to upgrade your .NET Framework from version 2.0 to 3.5, complete the following steps:

  1. Backup the web.config file in the root of your AbleCommerce installation by renaming to something like web.config.old.txt

  2. Copy web.config.NET40 to the root folder and rename to web.config

  3. Backup the /bin/ComponentArt.Web.UI.DLL by moving to a location outside of this folder.

  4. Backup the /bin/AjaxControlToolkit.DLL by moving to a location outside of this folder.

  5. Copy the new ComponentArt.Web.UI.DLL to the /bin/ folder.

  6. Copy the new AjaxControlToolkit.DLL to the /bin/ folder.

 

 

Copyright © 1994 - 2018 AbleCommerce.com, All rights Reserved | Privacy Policy

A division of Able Solutions Corporation, headquarters located in Vancouver, WA